Subject: [AVT] Using RTP Paylad Format for Uncompressed Video

From: Alejandro Cabrera Obed <[email-masked]>
Date: Mon, 17 Oct 2005 13:09:28 -0300

Dear people,
 I'm planning to use the RTP Payload Format for Uncompressed Video (RFC
4175), in order to transmit HDTV uncompressed over RTP/UDP/IP.
 This payload format put the scan lines from the video frames in one or more
RTP packets, and here is my question:
 Is it necessary to have a video capture device to capture scan lines in
place of fields or frames in order to use them with the RFC 4175
specifications ??? Or can I have a video capture device to capture just
fields or frames into the input queue and then obtain the scan lines to work
with RFC 4175 ???
 Thanks and I want to give my contratulations to Colin Perkins for his great
book "RTP: audio and video for the Internet"...it helps me a lot in my
survey.
 Alejandro

--
Alejandro Cabrera Obed
[email-masked]
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Colin Perkins <[email-masked]>
Date: Mon, 17 Oct 2005 18:52:25 +0100

On 17 Oct 2005, at 17:09, Alejandro Cabrera Obed wrote:
> I'm planning to use the RTP Payload Format for Uncompressed Video  
> (RFC 4175), in order to transmit HDTV uncompressed over RTP/UDP/IP.
>
> This payload format put the scan lines from the video frames in one  
> or more RTP packets, and here is my question:
>
> Is it necessary to have a video capture device to capture scan  
> lines in place of fields or frames in order to use them with the  
> RFC 4175 specifications ??? Or can I have a video capture device to  
> capture just fields or frames into the input queue and then obtain  
> the scan lines to work with RFC 4175 ???

Either option will work.

Colin